Subject: Re: [spfbis] IPv4 mapped IPv6 addresses

From: Scott Kitterman <[email-masked]>
Date: Wed, 08 May 2013 11:14:24 -0400

On Saturday, April 27, 2013 03:38:02 PM Commerco WebMaster wrote:
> On 4/27/2013 12:53 PM, John Levine wrote:
> >> As I understand it, the idea is that a connection arriving via an
> >> IPv6-mapped IPv4 address is supposed to be reported to the accepting
> >> application as an IPv4 connection, so SPF would never know about the
> >> "IPv6-mapped" part in the first place.
> > 
> > It depends on the implementation.  Here in FreeBSD land, the preferred
> > way to listen to both IPv4 and IPv6 is to set up two sockets and
> > listen to both, but you can also flip a kernel setting, listen on one
> > IPv6 socket, and the IPv4 connections will show up in your application
> > on mapped addresses.
> > 
> > The current language on page 21 of the draft seems fine to me, at
> > worst harmless, and addresses the real situation I described above.
> > 
> > R's,
> > John
> 
> +1

Coming back to this a bit late, based on the discussion, I think it makes 
sense to keep the existing language.

Scott K